Package: org.codehaus.groovy.classgen

## [Java] Class ClassGeneratorException

- org.codehaus.groovy.classgen.ClassGeneratorException

-     public class ClassGeneratorException
      extends RuntimeException

  An exception thrown by the class generator

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassGeneratorException(String message)`
    `ClassGeneratorException(String message, Throwable cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ClassGeneratorException(String message)

    - #### public ClassGeneratorException(String message, Throwable cause)